import sqlite3
from pprint import pprint
from datetime import date, timedelta

import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as stats

conn = sqlite3.connect('stock.db')

c = conn.cursor()

t = ('XOM','2017-09-01')
c.execute('SELECT open FROM stock WHERE sym=? and sdate < ?\
ORDER BY sdate LIMIT 500', t)

stkdata = c.fetchall()

xlist = [ row[0] for row in stkdata ]

t = ('REGI','2017-09-01')
c.execute('SELECT open FROM stock WHERE sym=? and sdate < ?\
ORDER BY sdate LIMIT 500', t)

stkdata = c.fetchall()

ylist = [ row[0] for row in stkdata ]


#pprint(xlist)
#pprint(ylist)

print('XOM')
pprint( len(xlist))
pprint( np.median(xlist) )
pprint( np.mean(xlist) )
pprint( np.std(xlist) )
pprint( np.var(xlist) )

#print( np.histogram(xlist) )

print('REGI')
pprint( len(ylist))
pprint( np.median(ylist) )
pprint( np.mean(ylist) )
pprint( np.std(ylist) )
pprint( np.var(ylist) )

print('Corr')
pprint( np.corrcoef(xlist,ylist) )
print('Cov')
pprint( np.cov(xlist,ylist) )

conn.close()

fig = plt.figure()
ax1 = plt.subplot2grid((4,1),(0,0),rowspan=2)

y = ylist
#y = np.flip(ylist,0)
ax1.scatter(xlist, y)

ax2 = plt.subplot2grid((4,1),(2,0))
x = xlist
x.sort()
fit = stats.norm.pdf(x, np.mean(x), np.std(x)) 
ax2.plot(x, fit)
ax2.hist(x, bins=40, normed=1)

ax3 = plt.subplot2grid((4,1),(3,0))
y = ylist
y.sort()
fit = stats.norm.pdf(y, np.mean(y), np.std(y)) 
ax3.plot(y, fit)
ax3.hist(y, bins=40, normed=1)

plt.show()



